File baselibs.conf of Package gdk-pixbuf

gdk-pixbuf-devel
  requires -gdk-pixbuf-<targettype>
  requires "libgdk_pixbuf-2_0-0-<targettype> = <version>"
gdk-pixbuf-query-loaders
  +/usr/bin/gdk-pixbuf-query-loaders(-64)?
  post "%if "%_lib" == "lib64""
  post "if [ $1 == 1 ]; then test -d <prefix>%{_libdir}/gdk-pixbuf-2.0/2.10.0; if test $? -eq 0; then <prefix>%{_bindir}/gdk-pixbuf-query-loaders-64 --update-cache; fi; fi"
  post "%else"
  post "if [ $1 == 1 ]; then test -d <prefix>%{_libdir}/gdk-pixbuf-2.0/2.10.0; if test $? -eq 0; then <prefix>%{_bindir}/gdk-pixbuf-query-loaders --update-cache; fi; fi"
  post "%endif"
libgdk_pixbuf-2_0-0
  requires "gdk-pixbuf-query-loaders-<targettype>"
  provides "gdk-pixbuf-<targettype> = <version>"
  post "%if "%_lib" == "lib64""
  post "if test -f <prefix>%{_bindir}/gdk-pixbuf-query-loaders-64; then <prefix>%{_bindir}/gdk-pixbuf-query-loaders-64 --update-cache; fi"
  post "%else"
  post "if test -f <prefix>%{_bindir}/gdk-pixbuf-query-loaders; then <prefix>%{_bindir}/gdk-pixbuf-query-loaders --update-cache; fi"
  post "%endif"